{
    "BitmapFont": {
        "default-font": {
            "file": "font/coolvetica.fnt"
        },
        "enchanted": {
            "file": "font/enchanted.fnt"
        },
        "handwritten": {
            "file": "font/handwritten.fnt"
        }
    },
    "Color": {
        "green": { "a": 1.0, "b": 0.0, "g": 1.0, "r": 0.0 },
        "white": { "a": 1.0, "b": 1.0, "g": 1.0, "r": 1.0 },
        "red": { "a": 1.0, "b": 0.0, "g": 0.0, "r": 1.0 },
        "black": { "a": 1.0, "b": 0.0, "g": 0.0, "r": 0.0 },
        "gold": { "a": 1.0, "b": 0.318, "g": 0.753, "r": 0.89 },
        "darkened_gold": { "a": 1.0, "b": 0.176, "g": 0.659, "r": 0.845 },
        "dark_gold": { "a": 1.0, "b": 0.034, "g": 0.565, "r": 0.80 },
        "darker_gold": { "a": 1.0, "b": 0.191, "g": 0.452, "r": 0.534 },
        "light_gray": { "a": 1.0, "b": 0.6, "g": 0.6, "r": 0.6}
    },
    "TintedDrawable": {
        "dialogDim": {
            "name": "white",
            "color": {
                "r": 0,
                "g": 0,
                "b": 0,
                "a": 0.45
            }
        }
    },
    "ButtonStyle": {
        "default": {
            "down": "default-round-down",
            "up": "default-round"
        },
        "toggle": {
            "down": "default-round-down",
            "checked": "default-round-down",
            "up": "default-round"
        }
    },
    "TextButtonStyle": {
        "default": {
            "font": "enchanted",
            "fontColor": "gold",
            "downFontColor": "dark_gold",
            "overFontColor": "darkened_gold",
            "disabledFontColor" : "darker_gold"
        },
        "simple": {
            "font": "default-font",
            "fontColor": "white",
            "downFontColor": "light_gray",
            "disabledFontColor": "light_gray"
        },
        "toggle": {
            "down": "default-round-down",
            "up": "default-round",
            "checked": "default-round-down",
            "font": "default-font",
            "fontColor": "white",
            "downFontColor": "red"
        }
    },
    "ScrollPaneStyle": {
        "default": {
            "vScroll": "default-scroll",
            "hScrollKnob": "default-round-large",
            "background": "default-pane",
            "hScroll": "default-scroll",
            "vScrollKnob": "default-round-large"
        },
        "error": {
            "parent": "default",
            "background": "default-pane-error"
        }
    },
    "SelectBoxStyle": {
        "default": {
            "font": "default-font",
            "fontColor": "white",
            "background": "default-select",
            "scrollStyle": "default",
            "listStyle": {
                "font": "default-font",
                "selection": "selection"
            }
        },
        "error": {
            "parent": "default",
            "background": "default-select-error"
        }
    },
    "SplitPaneStyle": {
        "default-vertical": {
            "handle": "default-splitpane-vertical"
        },
        "default-horizontal": {
            "handle": "default-splitpane"
        }
    },
    "WindowStyle": {
        "default": {
            "titleFont": "default-font",
            "background": "default-window",
            "titleFontColor": "white"
        },
        "dialog": {
            "titleFont": "default-font",
            "background": "default-window",
            "titleFontColor": "white",
            "stageBackground": "dialogDim"
        }
    },
    "ProgressBarStyle": {
        "default-horizontal": {
            "background": "default-slider",
            "knob": "default-slider-knob"
        },
        "default-vertical": {
            "background": "default-slider",
            "knob": "default-round-large"
        }
    },
    "SliderStyle": {
        "default-horizontal": {
            "background": "default-slider",
            "knob": "default-slider-knob"
        },
        "default-vertical": {
            "background": "default-slider",
            "knob": "default-round-large"
        }
    },
    "LabelStyle": {
        "default": {
            "font": "default-font",
            "fontColor": "white"
        },
        "enchanted": {
            "font": "enchanted",
            "fontColor": "gold"
        },
        "textfield": {
            "parent": "default",
            "background": "textfield"
        },
        "handwritten": {
            "font": "handwritten",
            "fontColor": "black"
        }
    },
    "TextFieldStyle": {
        "default": {
            "selection": "selection",
            "background": "textfield",
            "font": "default-font",
            "fontColor": "white",
            "messageFontColor": "light_gray",
            "cursor": "cursor"
        },
        "error": {
            "parent": "default",
            "background": "textfield-error"
        }
    },
    "CheckBoxStyle": {
        "default": {
            "checkboxOn": "check-on",
            "checkboxOff": "check-off",
            "font": "default-font",
            "fontColor": "white"
        }
    },
    "ListStyle": {
        "default": {
            "fontColorUnselected": "white",
            "selection": "selection",
            "fontColorSelected": "white",
            "font": "default-font"
        }
    },
    "TouchpadStyle": {
        "default": {
            "background": "default-pane",
            "knob": "default-round-large"
        }
    },
    "TreeStyle": {
        "default": {
            "minus": "tree-minus",
            "plus": "tree-plus",
            "selection": "selection"
        }
    },
    "TextTooltipStyle": {
        "default": {
            "label": {
                "font": "default-font",
                "fontColor": "white"
            },
            "background": "default-pane",
            "wrapWidth": 150
        }
    }
}
